Plan services9 matching interfaces
Create a plan
createPlan
POST
/PlanService/createPlan- Definition file
service_plan.proto- Available roles
- Administrator
Original definition
rpc createPlan(CreatePlanRequest) returns (CreatePlanResponse);Request message
CreatePlanRequestCreate a plan
Request message · Field definitions
message CreatePlanRequest {
string name = 1; // Plan name
string description = 19; // Plan summary
int64 clusterId = 2; // Cluster ID
bytes trafficLimitJSON = 3; // Traffic limit
bytes bandwidthLimitPerNodeJSON = 20; // Per-node bandwidth limit @link json:bit_size_capacity
bool hasFullFeatures = 18; // Whether all permissions are granted
bytes featuresJSON = 4; // Permissions in the format [code1, code2, ...]
string priceType = 5; // Pricing type: traffic, bandwidth, period
bytes trafficPriceJSON = 6; // Traffic pricing configuration
bytes bandwidthPriceJSON = 10; // Bandwidth pricing configuration
float monthlyPrice = 7; // Monthly price
float seasonallyPrice = 8; // Quarterly price
float yearlyPrice = 9; // Annual price
int32 totalServers = 11; // Maximum number of websites
int32 totalServerNamesPerServer = 12; // Maximum domains per website
int32 totalServerNames = 13; // Maximum total number of domains
int64 dailyRequests = 14; // Daily request allowance
int64 monthlyRequests = 15; // Monthly request allowance
int64 dailyWebsocketConnections = 16; // Daily WebSocket connection allowance
int64 monthlyWebsocketConnections = 17; // Monthly WebSocket connection allowance
bytes maxUploadSizeJSON = 21; // Maximum file upload size @link json:size_capacity
}Response message
CreatePlanResponseResponse message · Field definitions
message CreatePlanResponse {
int64 planId = 1;
}